import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.waap.domains.api_paths.list(
domain_id=1,
)
page = page.results[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/waap"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Waap.Domains.APIPaths.List(
context.TODO(),
1,
waap.DomainAPIPathListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/waap/v1/domains/{domain_id}/api-paths \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/waap/v1/domains/{domain_id}/api-paths', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limit": 123,
"offset": 123,
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "/api/v1/paths/{path_id}",
"method": "GET",
"api_version": "v1",
"http_scheme": "HTTP",
"first_detected": "2023-11-07T05:31:56Z",
"last_detected": "2023-11-07T05:31:56Z",
"tags": [
"sensitivedataurl",
"highriskurl"
],
"api_groups": [
"accounts",
"internal"
],
"status": "CONFIRMED_API",
"source": "API_DESCRIPTION_FILE",
"request_count": 123
}
]
}{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"title": "Feature check fail",
"type": "feature-check",
"status": 401,
"detail": "This feature is not available under your current plan. Please upgrade your plan to access this feature."
}{
"detail": "Permission denied"
}{
"title": "Resource not found",
"type": "quota-check-no-resource",
"status": 404,
"detail": "The quota resource requested does not exist. Cannot enable WAAP for this domain. Please reach out to our support team."
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}Retrieve a list of API paths
Retrieve a list of API paths for a specific domain
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.waap.domains.api_paths.list(
domain_id=1,
)
page = page.results[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/waap"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Waap.Domains.APIPaths.List(
context.TODO(),
1,
waap.DomainAPIPathListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
The domain ID
Query Parameters
Sort the response by given field.
id, path, method, api_version, http_scheme, first_detected, last_detected, status, source, -id, -path, -method, -api_version, -http_scheme, -first_detected, -last_detected, -status, -source Filter by the path ID
Filter by the path. Supports '*' as a wildcard character
1024Filter by the API RESTful method The different methods an API path can have
GET, POST, PUT, PATCH, DELETE, TRACE, HEAD, OPTIONS Filter by the API version
32Filter by the HTTP version of the API path The different HTTP schemes an API path can have
HTTP, HTTPS Filter by the API group associated with the API path
Filter by the status of the discovered API path
The different statuses an API path can have
CONFIRMED_API, POTENTIAL_API, NOT_API, DELISTED_API Filter by the source of the discovered API The different sources an API path can have
API_DESCRIPTION_FILE, TRAFFIC_SCAN, USER_DEFINED Number of items to return
0 <= x <= 10Number of items to skip
0 <= x <= 100000Response
Successful Response
Was this page helpful?